Update a translatable entry
curl --request PUT \
--url https://api.gleap.io/v3/translations/entries/{entryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'project: <project>' \
--data '
{
"language": "<string>",
"fields": {
"title": "Getting Started",
"description": "Learn the basics",
"content": "<p>Welcome</p>"
}
}
'import requests
url = "https://api.gleap.io/v3/translations/entries/{entryId}"
payload = {
"language": "<string>",
"fields": {
"title": "Getting Started",
"description": "Learn the basics",
"content": "<p>Welcome</p>"
}
}
headers = {
"project": "<project>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
project: '<project>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
language: '<string>',
fields: {
title: 'Getting Started',
description: 'Learn the basics',
content: '<p>Welcome</p>'
}
})
};
fetch('https://api.gleap.io/v3/translations/entries/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Translations
Update a translatable entry
PUT
/
translations
/
entries
/
{entryId}
Update a translatable entry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
The language code to set the translation for (e.g., "en", "de", "fr").
Key-value pairs of translatable fields. Keys depend on the entity type (e.g., "title", "description", "content" for articles). Values are plain text or HTML strings depending on the field type.
Example:
{
"title": "Getting Started",
"description": "Learn the basics",
"content": "<p>Welcome</p>"
}
Response
200 - application/json
Ok
⌘I